Skip to main content
POST
/
orgs
/
{orgId}
/
carriers
Creates a new carrier with associated sender address
curl --request POST \
  --url https://api.zippendo.com/orgs/{orgId}/carriers \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "<string>",
  "carrierSlug": "<string>",
  "config": {},
  "senderAddressId": "<string>"
}
'
{
  "id": "<string>",
  "name": "<string>",
  "carrierSlug": "<string>",
  "config": {},
  "senderAddressId": "<string>",
  "orgId": "<string>",
  "createdAt": "<string>",
  "updatedAt": "<string>",
  "senderAddress": {
    "id": "<string>",
    "name": "<string>",
    "attContact": "<string>",
    "address1": "<string>",
    "address2": "<string>",
    "zipcode": "<string>",
    "city": "<string>",
    "phone": "<string>",
    "countryCode": "<string>",
    "state": "<string>",
    "email": "jsmith@example.com",
    "orgId": "<string>",
    "createdAt": "<string>",
    "updatedAt": "<string>",
    "customs": {}
  }
}

Authorizations

Authorization
string
header
required

JWT access token or API token (prefixed with zipp_)

Path Parameters

orgId
string
required

Organization ID

Body

application/json
name
string
required

Carrier name

Minimum string length: 1
carrierSlug
string
required

Carrier slug identifier

Minimum string length: 1
config
object
required

Carrier configuration JSON

senderAddressId
string
required

Sender address ID to associate with this carrier

Response

Default Response

id
string
required
name
string
required

Carrier name

carrierSlug
string
required

Carrier slug identifier

config
object
required

Carrier configuration (required and optional fields)

senderAddressId
string
required

Associated sender address ID

orgId
string
required
createdAt
string
required
updatedAt
string
required
senderAddress
object
required